# class SignallingReceiver | Abstract Layer 2 packet data receiver. More...
Contains pure virtuals
Full name | `TelEngine::SignallingReceiver`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
Inherited by | ISDNQ921, ISDNQ921Management, ISDNQ921Passive, SS7MTP2
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SignallingReceiver (const char* name = 0)
- virtual ~SignallingReceiver ()
- virtual SignallingInterface* attach (SignallingInterface* iface)
- inline SignallingInterface* iface () const
- bool control (SignallingInterface::Operation oper, NamedList* params = 0)

#### Protected Methods

- bool transmitPacket (const DataBlock& packet, bool repeat, SignallingInterface::PacketType type = SignallingInterface::Unknown)
- virtual bool receivedPacket (const DataBlock& packet)
- virtual bool notify (SignallingInterface::Notification event)

## Detailed Description

An interface to an abstraction of a Layer 2 packet data receiver

SignallingReceiver (const char* name = 0) | ### SignallingReceiver

Constructor

Parameters:

name | Name of the component to create

~SignallingReceiver () | ### ~SignallingReceiver

[virtual]

Destructor, stops the interface and detaches from it

SignallingInterface* attach (SignallingInterface* iface) | ### attach

[virtual]

Attach a hardware interface to the data link. Detach from the old one if valid

Parameters:

iface | Pointer to interface to attach

Returns: Pointer to old attached interface or NULL

inline SignallingInterface* iface () | ### iface

[const]

Retrieve the interface used by this receiver

Returns: Pointer to the attached interface or NULL

bool control (SignallingInterface::Operation oper, NamedList* params = 0) | ### control

Execute a control operation on the attached interface.

Parameters:

oper | Operation to execute
params | Optional parameters for the operation

Returns: True if the command completed successfully, for query operations also indicates the interface is enabled and operational

Reimplemented from SignallingComponent.

bool transmitPacket (const DataBlock& packet, bool repeat, SignallingInterface::PacketType type = SignallingInterface::Unknown) | ### transmitPacket

[protected]

Send a packet to the attached interface for transmission

Parameters:

packet | Packet data to send
repeat | Continuously send a copy of the packet while no other data is available for transmission
type | Type of the packet to send

Returns: True if the interface accepted the packet

bool receivedPacket (const DataBlock& packet) | ### receivedPacket

[protected pure virtual]

Process a Signalling Packet received by the interface

Returns: True if message was successfully processed

bool notify (SignallingInterface::Notification event) | ### notify

[protected virtual]

Process a notification generated by the attached interface

Parameters:

event | Notification event reported by the interface

Returns: True if notification was processed

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.